Loading...
Searching...
No Matches
l4util_mb_addr_range_t Struct Reference

INT-15, AX=E820 style "AddressRangeDescriptor" ...with a "size" parameter on the front which is the structure size - 4, pointing to the next one, up until the full buffer length of the memory map has been reached. More...

`#include <mb_info.h>`

Collaboration diagram for l4util_mb_addr_range_t:

## Data Fields

l4_uint32_t | struct_size
| Size of structure.
l4_uint64_t | addr
| Start address.
l4_uint64_t | size
| Size of memory range.
l4_uint32_t | type
| type of memory range

## Detailed Description

INT-15, AX=E820 style "AddressRangeDescriptor" ...with a "size" parameter on the front which is the structure size - 4, pointing to the next one, up until the full buffer length of the memory map has been reached.

Definition at line 48 of file mb_info.h.

The documentation for this struct was generated from the following file:

- l4/util/mb_info.h